Subject: Re: [httpapi] Linkset draft: move from informational to proposed standard?

From: "Salz, Rich" <[email-masked]>
Date: Mon, 7 Feb 2022 14:56:29 +0000

No disagreement.

Linkset is now “proposed standard” and our default policies is not changed.

Thanks everyone.

From: "Salz, Rich" <rsalz=[email-masked]>
Date: Monday, January 31, 2022 at 10:05 AM
To: "[email-masked]" <[email-masked]>
Cc: Francesca Palombini <[email-masked]>
Subject: Re: [httpapi] Linkset draft: move from informational to proposed standard?

Discussion on this seems to have died down. We had several experienced members give opinions, and they all seem to agree:

  *   Okay for linkset to move to proposed standard
  *   Not okay to assume all new drafts are proposed standard. One major reason cited for the assumption is that the IETF does not want to create a standard that is not implemented.

If you disagree with this, please speak post within a few days.

From: Rich Salz <[email-masked]>
Date: Friday, January 21, 2022 at 3:48 PM
To: "[email-masked]" <[email-masked]>
Cc: Francesca Palombini <[email-masked]>
Subject: Linkset draft: move from informational to proposed standard?

One of the area reviewers questioned why the linkset document is informational rather than proposed standard.  The doc authors and the chairs had some off-line discussion about this, and we should bring this one to the group.

The difference among the standards types can be opaque to many, including those active on documents.  :)  The official definition is found in RFC 2026 [1], but that document has been updated by about a dozen RFC’s since then. The two that are most applicable here are RFC 6410 [2] and RFC 7127 [3].
I don’t expect you to read them! Even the biggest IETF nerd-heads aren’t familiar with all their nooks and crannies. Darrel points out an excerpt of 2026 that (although a bit outdated), still mostly holds; it can be found at [4], and just ignore the title. I recommend [3] gives the most valid content per byte of any of the links below. :)

It’s important to know that what working groups produce are “proposed standards”  Later on the working group can ask the IESG to take a “standards action” to move it through the phases of Draft Standard and eventually to Internet Standard. Often, however, Proposed Standard is good enough. I’ll point out that TLS never been promoted to an Internet Standard. My suggestion to the working group is don’t worry about it. You can find the list of standards, draft standards, and proposed standards at [5].

What we do here is not intended to be just documented for posterity, but is designed to be implemented, interoperable, and hopefully achieve common deployment and has no explicit criteria to measure success or failure. By those criteria, which happen to match the list in [1], [4].  Put noather way: “[This] specification is stable, has resolved known design choices, has received significant community review, and appears to enjoy enough community interest to be considered valuable.” [3].

There are two questions I’d like the WG to consider:

  *   A. Should the “linkset” draft be a Proposed Standard?
  *   B. Should we assume everything we do is Proposed Standard unless otherwise discussed?

Please post your thoughts about A and/or B within the next two weeks.

Thank you!

[1] https://www.rfc-editor.org/info/rfc2026<https://urldefense.com/v3/__https:/www.rfc-editor.org/info/rfc2026__;!!GjvTz_vk!DMkstnLqUdqtQcFMyl75JgXIKjUjQJjP7k-tlGdn3SXWusfCB9P7wJKBP3N2$>
[2] https://www.rfc-editor.org/info/rfc6410<https://urldefense.com/v3/__https:/www.rfc-editor.org/info/rfc6410__;!!GjvTz_vk!DMkstnLqUdqtQcFMyl75JgXIKjUjQJjP7k-tlGdn3SXWusfCB9P7wPMJfD-l$>
[3] https://www.rfc-editor.org/info/rfc7127<https://urldefense.com/v3/__https:/www.rfc-editor.org/info/rfc7127__;!!GjvTz_vk!DMkstnLqUdqtQcFMyl75JgXIKjUjQJjP7k-tlGdn3SXWusfCB9P7wPJht28B$>
[4] https://www.ietf.org/standards/process/informational-vs-experimental/<https://urldefense.com/v3/__https:/www.ietf.org/standards/process/informational-vs-experimental/__;!!GjvTz_vk!DMkstnLqUdqtQcFMyl75JgXIKjUjQJjP7k-tlGdn3SXWusfCB9P7wK0qz8p2$>
[5] https://www.rfc-editor.org/standards<https://urldefense.com/v3/__https:/www.rfc-editor.org/standards__;!!GjvTz_vk!DMkstnLqUdqtQcFMyl75JgXIKjUjQJjP7k-tlGdn3SXWusfCB9P7wDJXy7bm$>